import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Menu, MenuItem } from './components/menu';
export var MenuComponent = Intact.decorate(Menu, 'k-menu');
export var MenuItemComponent = Intact.decorate(MenuItem, 'k-menu-item');
var components = [MenuComponent, MenuItemComponent];
var MenuModule = /** @class */ (function () {
    function MenuModule() {
    }
    MenuModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], MenuModule);
    return MenuModule;
}());
export { MenuModule };